> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Get an analysis

GET https://{tenant_name}.benchling.com/api/v2-beta/analyses/{analysis_id}

Get an Analysis and the Data Framess and Files it contains. You can download the Analysis data with the corresponding
[Get a data frame](#/Data%20Frames/getDataFrame) and [Get a file](#/Files/getFile) endpoints.

For more details and examples on building Analysis integrations, see our [developer guide](https://docs.benchling.com/docs/analyses-api-developer-guide).


Reference: https://docs.benchling.com/docs/api/v2-beta/benchling-api-beta/analyses/get-analysis

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `analysis_id` (string, required) — The ID of the analysis

### Query parameters

- `returning` (string, optional) — Comma-separated list of fields to return. Modifies the output shape. To return all keys at a given level, enumerate them or use the wildcard, '*'. For more information, [click here](https://docs.benchling.com/docs/getting-started-1#returning-query-parameter).

## Response

### 200

OK

- `dataFrameIds` (list of string, optional)
- `fileIds` (list of string, optional)
- `folderId` (string, optional) — ID of the folder that contains the analysis
- `id` (string, optional)

## Errors

### 403 Forbidden Error

Forbidden

- `error` (ForbiddenErrorError, optional)

### 404 Not Found Error

Not Found

- `error` (NotFoundErrorError, optional)

## Types

### ForbiddenErrorError

- `invalidId` (string, optional)
- `message` (string, optional)
- `type` (string, optional)
- `userMessage` (string, optional)

### NotFoundErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)
- `invalidId` (string, optional)

## Examples

**Response**

```json
{
  "dataFrameIds": [
    "dset_t69ysPGQUl4H",
    "dset_nv5gKesqRLv7"
  ],
  "fileIds": [
    "file_Of5GuBSq",
    "file_UoqJSDwI"
  ],
  "folderId": "lib_bf0636",
  "id": "ana_DjEC6xL4"
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2-beta/analyses/ana_DjEC6xL4"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2-beta/analyses/ana_DjEC6xL4';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```